@charset "UTF-8";

/* アコーディオンコンテンツのスタイル */
.search_course_accordion__content {
  display: none;
  border: 1px solid #dcdddd;
  text-align: left;
  align-items: center;
  border-radius: 8px;
  overflow: hidden;
  padding: 20px 20px 20px 20px;
  margin: 10px;
  position: relative;
}

.search_course_accordion__content * {
  box-sizing: border-box;
}

.search_course_accordion__content input,
.search_course_accordion__content select,
.search_course_accordion__content button {
  color: inherit;
  -webkit-appearance: none;
  appearance: none;
}

@media screen and (min-width: 1080px) {
  .search_course_accordion__content {
    margin: 10px 0;
  }
}
@media screen and (max-width: 480px) {
  .search_course_accordion__content {
    padding: 10px;
  }
}

/* 閉じるボタンのスタイル */
.search-course-accordion-close-btn {
  position: absolute;
  right: 5px;
  top: 5px;
  cursor: pointer;
  z-index: 1;
  width: 20px;
}

/* Map検索ボタン */
.search_course_accordion__map-search-container {
  text-align: center;
  margin: 15px 0 0 0;
  width: 100%;
}

.search_course_accordion__map-search-button {
  padding: 10px 15px;
  background-color: #fff;
  border: 1px solid #333;
  color: #000000 !important;
  cursor: pointer;
  display: block;
}

/* アコーディオンのコンテナスタイル */
.search_course_accordion__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding-right: 20px;
}

/* アコーディオンの見出し */
.search_course_accordion__content h1 {
  margin-bottom: 15px;
  text-align: left;
}

/* 検索ボックス */
.search-course-accordion-search-box {
  display: flex;
  flex-direction: column;
  margin-bottom: 15px;
}

.search_course_accordion__input-group {
  display: flex;
  align-items: center;
}

.input-wrapper {
  display: flex;
  align-items: center;
  width: 100%;
}

.input-field {
  display: flex;
  align-items: center;
  width: 100%;
  border: 1px solid #ccc;
  height: 39px;
}

.search_course_accordion__input-group .search-icon {
  width: 20px;
  margin: 0 5px;
}

.search_course_accordion__input-group input {
  border: none;
  outline: none;
  flex-grow: 1;
  padding: 5px;
}

/* 検索ボタン */
button.search_course_accordion__search-btn {
  padding: 10px 20px;
  background-color: #808080;
  color: #fff;
  border: none;
  cursor: pointer;
  margin-left: 0;
  width: 50%;
}

/* 選択ボックスのスタイル */
.search_filter_select,
.search_course_accordion__toggle-button {
  flex-grow: 1;
  width: 90px;
  height: 40px;
  padding: 5px 10px;
  border: 1px solid #cccccc;
  background-color: #fff;
}

.result_course_dropdown_menu {
  text-align: left;
}

.search_course_accordion__dropdown-option {
  display: inline-flex;
  color: #333 !important;
  padding-top: 5px;
  cursor: pointer;
  text-align: left;
  box-sizing: border-box;
  white-space: nowrap;
}

.search_course_accordion__dropdown-option:hover {
  background-color: #f0f0f0;
}

.search_course_accordion__toggle-button {
  background-color: #ddd;
  position: relative;
  padding-right: 30px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 100%;
  cursor: pointer;
}

.search_course_accordion__toggle-button::after {
  content: url('/img/arrow-forward.svg');
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%) rotate(90deg);
  transition: transform 0.3s ease;
}

.search_course_accordion__toggle-button.active::after {
  transform: translateY(-50%) rotate(-90deg);
}

.search_course_accordion__dropdown-option.search-course-region {
  position: relative;
  padding-right: 30px;
}

.search_course_accordion__dropdown-option.search-course-region::after {
  content: url('/img/arrow-forward.svg');
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%) rotate(90deg);
  transition: transform 0.3s ease;
}

.search_course_accordion__dropdown-option.search-course-region.active::after {
  transform: translateY(-50%) rotate(-90deg);
}

.search_course_accordion__filter-btn {
  background: none;
  border: none;
  cursor: pointer;
}

.search_course_accordion__filter-btn .arrow-icon {
  content: url('/img/arrow-forward.svg');
  display: inline-block;
  margin-left: 10px;
  transition: transform 0.3s ease;
  transform: rotate(90deg);
}

.search_course_accordion__filter-btn.active .arrow-icon {
  transform: rotate(-90deg);
}

/* 絞り込みグループの表示/非表示 */
.search_course_accordion__filter-select-group {
  display: flex;
  justify-content: space-between;
  gap: 9px;
  width: 100%;
  flex-wrap: wrap;
}

.search_course_accordion__search-button-group {
  display: flex;
  justify-content: space-around;
  width: 100%;
  margin-top: 20px;
  gap: 9px;
}

/* 絞り込み条件クリアボタン */
button.search_course_accordion__filter-clear-btn {
  width: 50%;
  padding: 10px 20px;
  background-color: #808080;
  color: #fff;
  border: none;
  cursor: pointer;
  margin-left: auto;
  flex-shrink: 0;
}

/* フィルタのレスポンシブデザイン */
.search_course_accordion__filter-options {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 0;
}

/* 地方の選択肢は縦並びのまま */
.search_course_accordion__dropdown-option.search-course-region {
  display: block;
  cursor: pointer;
  text-align: left;
  width: 100%;
}

.separator {
  margin: 0 5px; /* スラッシュの前後に余白 */
  pointer-events: none; /* クリックを無効化 */
  color: inherit; /* 見た目の色を周囲に合わせる */
}

@media screen and (max-width: 480px) {
  .search_course_accordion__toggle-button,
  .search_course_accordion__search-btn,
  .search_course_accordion__filter-clear-btn {
    padding: 5px;
    height: initial;
  }
  #search_course_accordion__dropdown-menu-button-field,
  #search_course_accordion__dropdown-menu-button-category {
    width: 100%;
  }
}
